<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 3</H1>

<P>
Numero du papier: 3
<P>
Nom du papier et auteurs: Objects Concurrent
dans un pi-calcul applicatif.
<P>S. Dal Zilio

<H2>1</H2>

<P>
Nom du rapporteur: A.Asperti
<P>
Confiance en la note: 3<P>
  1 : je n'ai pas compris car ce n'est pas mon domaine.<P>
  2 : j'ai compris, mais je ne domine pas le sujet.<P>
  3 : j'ai tout compris car c'est mon domaine.<P>
<P>
Notation du papier: 3.5 <P>
  1: a rejeter; 2: ininteressant; 3: acceptable;<P>
  4: bon papier; 5: tres bon papier<P>
<P>
Commentaires aux auteurs:<P>
In order to support the claim that the calculus is
a good base for a high-level 
distributed programming language with object oriented
features, it could be worth to start developing a prototype
(following, as you say, the trace of Pierce and Turner), 
and comparing languages not on their formal expressivity 
but on software engineering principles. 
<P>

Commentaires reserves au comite de programme:
<P>

The author introduces an extension of 
Boudol's Blue calculus with records. This calculus 
is sufficiently expressive to provide a 
"direct" (i.e no CPS based) and adequate encoding 
of Object Calculi (like Abadi and Cardelli's ones). 
The result is nice, but not particularly surprisingly
or original. Proofs and theorems look sound.
According to the author, the calculus has no foundational
aim. It should be considered as a base for a high-level 
distributed programming language with object oriented
features. Unfortunately, no much evidence supporting this
claim is provided; in particular, no implementation 
issue is addressed in the paper. 
On the other side, there is clearly a lot of work behind
the paper, so we are warmly for acceptance. 

<H2>2</H2>

<P>

</BODY>
</HTML>
